Bug 985866 - ruby2.2-rubygem-rails-4_2 requires missing ruby2.2-rubygem-arel-6
ruby2.2-rubygem-rails-4_2 requires missing ruby2.2-rubygem-arel-6
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Ruby
Current
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: Dominique Leuenberger
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-21 13:02 UTC by Pieter Hollants
Modified: 2016-06-23 12:31 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pieter Hollants 2016-06-21 13:02:33 UTC
With current Tumbleweed 20160613 and refreshed repos:

pief@e7450:~> LANG=C sudo zypper in ruby2.2-rubygem-rails-4_2
[sudo] password for pief: 
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: nothing provides rubygem(ruby:2.2.0:arel:6) >= 6 needed by ruby2.2-rubygem-activerecord-4_2-4.2.6-1.2.x86_64
 Solution 1: do not install ruby2.2-rubygem-rails-4_2-4.2.6-1.2.x86_64
 Solution 2: break ruby2.2-rubygem-activerecord-4_2-4.2.6-1.2.x86_64 by ignoring some of its dependencies
pief@e7450:~> rpm -q --provides ruby2.2-rubygem-arel 
ruby2.2-rubygem-arel = 7.0.0-1.2
ruby2.2-rubygem-arel(x86-64) = 7.0.0-1.2
rubygem(arel) = 7.0.0
rubygem(ruby:2.2.0:arel) = 7.0.0
rubygem(ruby:2.2.0:arel:7) = 7.0.0
rubygem(ruby:2.2.0:arel:7.0) = 7.0.0
rubygem(ruby:2.2.0:arel:7.0.0) = 7.0.0
Comment 1 Pieter Hollants 2016-06-21 13:04:25 UTC
Oh, and repos should be sane:

pief@e7450:~> LANG=C sudo zypper lr
# | Alias            | Name                                     | Enabled | GPG Check | Refresh
--+------------------+------------------------------------------+---------+-----------+--------
1 | google-chrome    | google-chrome                            | No      | ----      | Yes    
2 | packman          | packman                                  | No      | ----      | Yes    
3 | repo-debug       | repo-debug                               | Yes     | (r ) Yes  | Yes    
4 | repo-non-oss     | repo-non-oss                             | Yes     | (r ) Yes  | Yes    
5 | repo-oss         | repo-oss                                 | Yes     | (r ) Yes  | Yes    
6 | repo-src-non-oss | repo-src-non-oss                         | Yes     | (r ) Yes  | Yes    
7 | repo-src-oss     | repo-src-oss                             | Yes     | (r ) Yes  | Yes    
8 | repo-update      | repo-update                              | Yes     | (r ) Yes  | Yes    
9 | virtualbox       | VirtualBox for openSUSE 13.2 / Leap 42.1 | Yes     | ( p) Yes  | Yes
Comment 2 Jordi Massaguer 2016-06-21 16:31:02 UTC
that is weird

You should get rubygem-arel-6

https://build.opensuse.org/package/binaries/openSUSE:Factory/rubygem-arel-6?repository=standard

but I can't find it in the tumbleweed repo

http://download.opensuse.org/tumbleweed/repo/oss/suse/x86_64/

My guess is that it should appear ... but really don't know how much it takes for a package to appear in tumbleweed.

Meanwhile, you can use the one from the mentioned project.
Comment 3 Jordi Massaguer 2016-06-22 07:22:11 UTC
I am assigning this to dimstar to see if he knows why this package is not being published since it is not a packaging issue and I can't help you with that.
Comment 4 Dominique Leuenberger 2016-06-23 12:31:21 UTC
zypper se -s arel-6

S | Name                   | Type    | Version   | Arch   | Repository             
--+------------------------+---------+-----------+--------+------------------------
  | ruby2.2-rubygem-arel-6 | package | 6.0.3-1.1 | x86_64 | openSUSE-Tumbleweed-Oss
  | ruby2.2-rubygem-arel-6 | package | 6.0.3-1.1 | i586   | openSUSE-Tumbleweed-Oss
  | ruby2.3-rubygem-arel-6 | package | 6.0.3-1.1 | x86_64 | openSUSE-Tumbleweed-Oss
  | ruby2.3-rubygem-arel-6 | package | 6.0.3-1.1 | i586   | openSUSE-Tumbleweed-Oss


arel-6 was checked in on June 14 - and 0621 released last night is hence the first snapshot containing this new binary.

Hence, this bug has since been fixed without further work